.product-card__item-color__pick {
	width: 28px;
	height: 28px;
	min-width: 28px;
	border-radius: 50%;
}

.product-card__item-name__color {
	@media(max-width: 650px) {
		& span {
			font-size: 17px;
		}

		& strong {
			font-size: 17px;
		}
	}
}

.product-card__items {
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 23px;
	justify-content: space-between;

	@media(min-width: 992px) {
		gap: 67px;
	}

	@media(max-width: 992px) {
		grid-template-columns: repeat(3, 1fr);
	}

	@media(max-width: 600px) {
		grid-template-columns: repeat(2, 1fr);
	}

	& .product-card__item {
		display: flex;
    	flex-direction: column;
    	justify-content: space-between;
    	gap: 18px;
		cursor: pointer;

		@media(max-width: 600px) {
			gap: 8px;
		}

		& .splide__pagination li {
			display: flex;
			align-items: center;
			justify-content: center;
		}

		@media(min-width: 993px) {
			max-width: 295px;
			width: 100%;
		}

		@media(max-width: 992px) {
			max-width: 245px;
		}

		@media(max-width: 600px) {
			max-width: 180px;
		}

		@media(max-width: 400px) {
			max-width: 165px;
		}

		@media(max-width: 380px) {
			max-width: 160px;
		}

		@media(max-width: 370px) {
			max-width: 155px;
		}

		& .product-card__item-image {
			/* padding: 20px; */
			width: 100%;
			border-radius: 5px;
			border: 1px solid #FF5596;
			height: 262px;
			position: relative;
			cursor: pointer;
			display: block;
			overflow: hidden;
			aspect-ratio: 1/1;


			& .product-card__item-cats {
				position: absolute;
				left: 8px;
				top: 8px;
				display: flex;
				flex-direction: column;
				gap: 2px;
				z-index: 3;



				& .product-card__item-cat {
					padding: 2px;
					color: #FFF;
					font-size: 20px;
					font-style: normal;
					font-weight: 400;
					line-height: 100%;
					text-transform: uppercase;
					border-radius: 2.12px;
					background: #FF5596;
					max-width: fit-content;


					@media(max-width:600px) {
						font-size: 14px;
					}
				}
			}

			& .product-card__item-trand {
				position: absolute;
				right: 6px;
				top: 5px;
				z-index: 2;

				& .product-card__item-trand__inner {
					width: 55px;
					height: 55px;
					position: relative;
					display: flex;
					align-items: center;
					justify-content: center;

					& img {
						position: relative;
					}

					& span {
						position: absolute;
						left: 0;
						right: 0;
						margin: 0 auto;
						top: 50%;
						transform: translateY(-50%);
						z-index: 2;
						color: #FFF;
						text-align: center;
						font-size: 12px;
						font-style: normal;
						font-weight: 700;
						line-height: 90%;
						text-transform: uppercase;
						max-width: 45px;

						@media(max-width: 600px) {
							font-size: 11px;
						}
					}
				}
			}

			@media(max-width: 600px) {
				height: initial;
			}


			& img {
				object-fit: cover;
				width: 100%;
				height: 100%;
			}
		}

		& .product-card__item-info {
			display: flex;
			flex-direction: column;
			justify-content: space-between;
		}

		& .product-card__item-body {
			margin-top: 10px;

			& .product-card__item-body__head {
				display: flex;
				justify-content: space-between;
				gap: 16px;
				margin-bottom: 6px;

				@media(max-width: 650px) {
					gap: 6px;
				}

				& .product-card__item-name {
					color: #000;
					font-size: 25px;
					font-style: normal;
					font-weight: 700;
					line-height: 90%;
					text-transform: uppercase;
					max-width: 192px;
					overflow: hidden;
					text-overflow: ellipsis;
					display: -moz-box;
					-moz-box-orient: vertical;
					display: -webkit-box;
					-webkit-line-clamp: 8;
					-webkit-box-orient: vertical;
					line-clamp: 8;
					box-orient: vertical;
					line-height: 100%;


					& .product-card__item-name__brand {
						font-weight: 700;
						margin-bottom: 5px;
					}

					& strong {
						font-weight: 700;
						font-size: 17px;
					}

					& span {
						font-size: 17px;
					}

					& a {
						font-weight: 700;
						font-size: 17px;
					}

					@media(max-width:600px) {
						font-size: 14px;
						max-width: 90px;
						display: flex;
						flex-direction: column;
						gap: 7px;
					}
				}

				& .product-card__item-price {
					color: #000;
					font-size: 23px;
					font-style: normal;
					font-weight: 700;
					line-height: 90%;
					display: flex;
					flex-direction: column;
					gap: 3px;

					& span {
						color: #000;
						font-size: 25px;
						font-style: normal;
						font-weight: 700;
						line-height: 90%;

						@media(max-width: 600px) {
							font-size: 17px;
						}
					}

					& span.old-price {
						opacity: .4;
						text-decoration: line-through;
					}

					@media(max-width:600px) {
						font-size: 17px;
					}
				}
			}

			& .product-card__item-description {
				color: #000;
				font-size: 25px;
				font-style: normal;
				font-weight: 400;
				line-height: 90%;
				margin-bottom: 5px;
				max-width: 180px;
				/* 12.6px */
				margin-top: 10px;
				overflow: hidden;
				text-overflow: ellipsis;
				display: -moz-box;
				-moz-box-orient: vertical;
				display: -webkit-box;
				-webkit-line-clamp: 3;
				-webkit-box-orient: vertical;
				line-clamp: 3;
				box-orient: vertical;

				@media(max-width:600px) {
					font-size: 14px;
					max-width: 103px
				}
			}

			& .product-card__item-colors {
				display: flex;
				align-items: center;
				gap: 2px;

				& .product-card__item-colors__items {
					display: flex;
					gap: 3px;
					align-items: center;

					& .product-card__item-color__item {
						width: 28px;
						height: 28px;
						border-radius: 50%;
						overflow: hidden;
						display: flex;
						align-items: center;
						justify-content: center;
						border: 1px solid #ccc;

						& img {
							object-fit: cover;
							width: 100%;
							height: 100%;
							border: 1px solid transparent;
							border-radius: 50%;
							transition: all .3s;

							&:hover {
								transition: all .3s;
								opacity: .7;
							}
						}

						@media(max-width:600px) {
							width: 19px;
							height: 19px;
						}
					}

					& .product-card__item-color__item.active {
						border: 2px solid #FF5596;
						transition: all .3s;
						& img {
							border: 2px solid #FF5596;
							transition: all .3s;
						}

					}

				}

				& .product-card__item-colors__count {
					color: #000;
					font-size: 16px;
					font-style: normal;
					font-weight: 400;
					line-height: 90%;

					@media(max-width:600px) {
						font-size: 12px;
					}
				}
			}

			& .product-card__item-volumes {
				display: flex;
				align-items: flex-end;

				& .product-card__item-colors__count {
					line-height: 100%;
					font-size: 12px;
					color: #000;
				}

				& .product-card__item-volumes__items {
					display: flex;
					align-items: center;
					gap: 2px;
					flex-wrap: wrap;

					& .product-card__item-volume__item {
						border: 1px solid #000;
						padding: 4px;
						transition: all .3s;
						display: flex;

						& span {
							color: #000;
							font-size: 16px;
							font-style: normal;
							font-weight: 700;
							line-height: 90%;
							transition: all .3s;
							text-transform: uppercase;

							@media(max-width:600px) {
								font-size: 14px;
							}

							/* 7.2px */
						}

						&:hover {
							border: 1px solid #FF5596;
							transition: all .3s;
						}
					}

					& .product-card__item-volume__item.active {
						background-color: #000;
						transition: all .3s;

						& span {
							color: #fff;
							transition: all .3s;

						}
					}

				}
			}
		}

		.product-card__item-footer {
			& .product-card__item-cat {
				color: #000;
				font-size: 18px;
				font-style: normal;
				font-weight: 400;
				line-height: 100%;
				margin-bottom: 10px;
				overflow: hidden;
				text-overflow: ellipsis;
				display: -moz-box;
				-moz-box-orient: vertical;
				display: -webkit-box;
				-webkit-line-clamp: 1;
				-webkit-box-orient: vertical;
				line-clamp: 1;
				box-orient: vertical;
				margin-top: 6px;
				min-height: 11px;
				text-align: center;
				text-transform: lowercase;

				@media(max-width:600px) {
					font-size: 15px;
				}
			}

			& .product-item__addCart {
				color: #FFF;
				font-size: 25px;
				font-style: normal;
				font-weight: 700;
				line-height: 90%;
				margin-bottom: 10px;
				text-transform: uppercase;
				background-color: #000;
				display: flex;
				justify-content: center;
				align-items: center;
				width: 100%;
				padding-top: 7px;
				padding-bottom: 7px;
				border: 1px solid #000;
				text-decoration: none;

				@media(max-width:600px) {
					font-size: 17px;
				}
			}

			& .product-item__detail {
				color: #000;
				font-size: 25px;
				font-style: normal;
				font-weight: 700;
				line-height: 90%;
				margin-bottom: 10px;
				text-transform: uppercase;
				border: 1px solid #000;
				display: flex;
				justify-content: center;
				align-items: center;
				width: 100%;
				padding-top: 7px;
				padding-bottom: 7px;
				margin-top: 5px;
				text-decoration: none;

				@media(max-width:600px) {
					font-size: 14px;
				}
			}

			& .product-item__availibility {
				color: #FF5596;
				font-size: 23px;
				font-style: normal;
				font-weight: 400;
				line-height: 90%;
				text-transform: uppercase;

				@media(max-width:600px) {
					font-size: 15px;
				}

				& span {
					color: #FF5596;
					font-size: 23px;
					font-style: normal;
					font-weight: 700;
					line-height: 90%;

					@media(max-width:600px) {
						font-size: 15px;
					}
				}
			}
		}
	}
}

/* modals */

.color-picker__modal {
	& .modal-content {
		height: 100%;

		& .modal-content__inner {
			height: 100%;
		}
	}

	& .product-item__addCart {
		color: #FFF;
		font-size: 25px;
		font-style: normal;
		font-weight: 700;
		line-height: 90%;
		margin-bottom: 10px;
		text-transform: uppercase;
		background-color: #000;
		display: flex;
		justify-content: center;
		align-items: center;
		width: 100%;
		padding-top: 7px;
		padding-bottom: 7px;
		border: 1px solid #000;
		margin-top: 75px;
		text-decoration: none;
	}

	& .modal-inner {
		max-height: 100%;
		height: 100%;
		overflow-x: hidden;
	}

	& .product-card__items {
		height: 100%;
		grid-template-columns: 1fr;

		& .product-card__item {
			height: 100%;
			display: flex;
			flex-direction: column;
			gap: 20px;
			max-width: 100%;
			width: 100%;



			& .product-card__item-body {
				height: auto;
			}

			& .product-card__item-info {
				@media(min-width: 992px) {
					min-height: 350px;
					min-height: initial;
				}

				@media (max-width: 600px) {
					min-height: 390px;
					min-height: initial;
				}
			}
		}

		& .single-product__chars-item.active {
			color: #fff;
			background-color: #FF5596;
		}



		& .product-card__item-image {
			padding: 0;
			height: auto;
			aspect-ratio: 1 / 1;

			& img {
				object-fit: cover;
			}
		}

		& .product-card__item-name__brand {
			font-size: 21px;
			line-height: 100%;
			max-width: 192px;
		}

		& .product-card__item-name__name {
			font-size: 21px;
			line-height: 100%;
			max-width: 192px;
		}

		& .product-card__item-price {
			font-size: 21px !important;
		}
	}

	.single-product__chars {

		&:not(:last-child) {
			margin-bottom: 30px;
		}

		& .single-product__chars-title {
			color: #000;
			font-size: 20px;
			font-style: normal;
			font-weight: 700;
			line-height: 90%;
			margin-bottom: 10px;

			@media(max-width: 600px) {
				font-size: 24px;
			}

			/* 12.6px */
		}

		& .single-product__chars-items.image-chars {
			display: flex;
			gap: 17px;
			flex-wrap: wrap;

			@media(max-width: 600px) {
				gap: 7px;
			}

			& .single-product__chars-item.image-char {
				width: 40px;
				height: 40px;
				border-radius: 50%;
				overflow: hidden;
				cursor: pointer;
				display: flex;
				align-items: center;
				justify-content: center;

				@media(max-width: 600px) {
					width: 30px;
					height: 30px;
				}

				& img {
					object-fit: cover;
					width: 100%;
					height: 100%;
					border-radius: 50%;
				}

				& .chars-name {
					display: none;
				}

				& .chars-descr {
					display: none;
				}
			}

			& .single-product__chars-item.image-char.active {
				border: 1px solid #FF5596;
			}
		}
	}

	.single-product__chars-container {


		& .single-product__chars-title {
			color: #000;
			font-size: 24px;
			font-style: normal;
			font-weight: 700;
			line-height: 90%;
			/* 12.6px */
			margin-bottom: 10px;

			@media(max-width: 600px) {
				font-size: 14px;
			}
		}

		& .single-product__chars-items.simple-chars {
			display: flex;
			flex-wrap: wrap;
			gap: 10px;

			& .single-product__chars-item.simple-char {
				border: 1px solid #000;
				padding: 8px;


				& .chars-name {
					color: #000;
					font-size: 24px;
					font-style: normal;
					font-weight: 700;
					line-height: 90%;
					/*cursor: pointer;*/
					transition: all .3s;

					@media(max-width: 600px) {
						font-size: 14px;
					}
				}

				/* 12.6px */
			}

			& .single-product__chars-item.simple-char.active {
				transition: all .3s;
				background-color: #FF5596;
				border-color: #FF5596;

				& .chars-name {
					transition: all .3s;
					color: #fff;
				}
			}
		}
	}
}

.single-product__chars-wrap {
	display: flex;
	flex-direction: column-reverse;
	gap: 30px;

	@media(max-width:992px) {
		flex-direction: column;
	}
}

.selected-color {
	display: flex;
	align-items: center;
	gap: 5px;
	border: 0.415px solid #000;
	padding: 4px;
	margin-top: 15px;
	max-width: fit-content;

	& .selected-color__image {
		width: 40px;
		height: 40px;
		display: flex;
		align-items: center;
		justify-content: center;
		border-radius: 50%;

		@media(max-width: 600px) {
			width: 29px;
			height: 29px;
		}

		& img {
			object-fit: contain;
			width: 100%;
			height: 100%;
		}
	}

	& .selected-color__info {
		display: flex;
		flex-direction: column;
		gap: 2px;

		& .selected-color__name {
			color: #000;
			font-family: "Bebas Neue Pro";
			font-size: 22px;
			font-style: normal;
			font-weight: 700;
			line-height: 90%;
			/* 11.208px */
			text-transform: uppercase;

			@media(max-width: 600px) {
				font-size: 22px;
			}
		}

		& .selected-color__transcript {
			color: #000;
			font-family: "Bebas Neue Pro";
			font-size: 12px;
			font-style: normal;
			font-weight: 400;
			line-height: 90%;

			/* 5.604px */
			@media(max-width: 600px) {
				font-size: 12px;
			}
		}
	}
}

.continue-modal__title {
	color: #FF5596;
	font-family: "Bebas Neue Pro";
	font-size: 24px;
	font-style: normal;
	font-weight: 400;
	line-height: 90%;
	margin-bottom: 20px;
	text-transform: uppercase;
	text-align: center;
}

.continue-modal__show {
	color: #FFF;
	font-family: "Bebas Neue Pro";
	font-size: 24px;
	font-style: normal;
	font-weight: 700;
	line-height: 90%;
	/* 12.6px */
	text-transform: uppercase;
	border-radius: 1px;
	border: 1px solid #000;
	background: #000;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 35px;
	margin-bottom: 10px;
}

.continue-modal__continue {
	color: #FFF;
	font-family: "Bebas Neue Pro";
	font-size: 24px;
	font-style: normal;
	font-weight: 700;
	line-height: 90%;
	/* 12.6px */
	text-transform: uppercase;
	border-radius: 1px;
	border: 1px solid #FF5596;
	background: #FF5596;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 35px;
}

.preview_carousel {
	height: 100%;

	& .splide__pagination {
		padding: 0;
		bottom: .2em;
	}

	& .splide__slide {
		@media(max-width:600px) {
			/* height: 178px; */
			max-height: 178px;
			height: 100%;
		}

		& img {
			aspect-ratio: 1/1;
		}
	}
}

.section-description {
	font-size: 15px;
	text-align: center;
}

.pre-basket__modal {
	& .pre-basket__title {
		color: #000;
		text-align: center;
		font-family: "Bebas Neue Pro";
		font-size: 25px;
		font-style: normal;
		font-weight: 700;
		line-height: 90%;
		/* 12.6px */
		text-transform: uppercase;
		margin-bottom: 7px;

		margin-left: auto;
		margin-right: auto;

		@media(max-width: 650px) {
			font-size: 14px;
			max-width: 210px;
		}
	}

	@media(max-width: 650px) {
		& .modal-inner {
			max-width: 288px;
		}
	}

	& .pre-basket__subtitle {
		color: #000;
		text-align: center;
		font-family: "Bebas Neue Pro";
		font-size: 25px;
		font-style: normal;
		font-weight: 400;
		line-height: 90%;
		margin-bottom: 20px;

		margin-left: auto;
		margin-right: auto;

		@media(max-width: 650px) {
			font-size: 14px;
			/* max-width: 210px; */
		}
	}

	& .pre-basket__banner {
		padding: 5px;
		background-color: #FF5596;
		margin-bottom: 34px;
		margin-top: 24px;

		margin-left: auto;
		margin-right: auto;

		@media(max-width: 650px) {
			/* max-width: 210px; */
		}

		& p {
			margin-bottom: 10px;
			color: #FFF;
			text-align: center;
			font-family: "Bebas Neue Pro";
			font-size: 25px;
			font-style: normal;
			font-weight: 700;
			line-height: 90%;
			/* 12.6px */
			text-transform: uppercase;

			@media(max-width: 650px) {
				font-size: 14px;
			}
		}
	}

	& .pre-basket-btns__title {
		color: #000;
		text-align: center;
		font-family: "Bebas Neue Pro";
		font-size: 25px;
		font-style: normal;
		font-weight: 400;
		line-height: 90%;
		margin-bottom: 13px;

		margin-left: auto;
		margin-right: auto;

		@media(max-width: 650px) {
			font-size: 14px;
			/* max-width: 210px; */
		}
	}

	& .pre-basket__btns {
		display: flex;
		gap: 7px;
		justify-content: center;

		& .pre-basket__btn {
			font-size: 15px;
			display: flex;
			align-items: center;
			justify-content: center;
			color: #FFF;
			font-family: "Bebas Neue Pro";
			width: 50%;
			height: 40px;
			font-style: normal;
			font-weight: 700;
			line-height: 90%;
			/* 12.6px */
			text-transform: uppercase;
			transition: all .3s;

			@media(max-width: 650px) {
				width: 100%px;
				height: 27px;
				font-size: 14px;
			}

			&:hover {
				transition: all .3s;
				opacity: .7;
			}
		}

		& .pre-basket__btn.no {
			border-radius: 1px;
			border: 1px solid #FF5596;
			background: #FF5596;
		}

		& .pre-basket__btn.yes {
			border-radius: 1px;
			border: 1px solid #000;
			background: #000;
		}
	}

	& .checkout-product__items {
		display: flex;
		flex-direction: column;
		gap: 16px;

		margin-left: auto;
		margin-right: auto;

		@media(max-width: 650px) {
			/* max-width: 210px; */
		}

		& .checkout-product__item {
			display: flex;
			justify-content: space-between;
			align-items: center;

			& .checkout-product__item-left {
				display: flex;
				align-items: center;
				gap: 12px;

				& .checkout-product__item-image {
					width: 80px;
					height: 82px;
					min-width: 80px;
					padding: 0;
					border-radius: 5px;
					border: 1px solid #FF5596;
					background-color: #FFF;
					overflow: hidden;
					aspect-ratio: 1/1;

					@media(max-width: 600px) {
						width: 60px;
						height: 60px;
						min-width: 57px;
					}

					& img {
						object-fit: cover;
						width: 100%;
						height: 100%;
					}
				}

				& .checkout-product__item-info {
					max-width: 150px;

					@media(max-width: 650px) {
						max-width: 72px;
					}

					& .checkout-product__item-name {
						color: #000;
						font-size: 15px;
						font-style: normal;
						font-weight: 400;
						line-height: 90%;
						text-transform: uppercase;
						overflow: hidden;
						text-overflow: ellipsis;
						display: -moz-box;
						-moz-box-orient: vertical;
						display: -webkit-box;
						-webkit-line-clamp: 3;
						-webkit-box-orient: vertical;
						line-clamp: 3;
						box-orient: vertical;
						margin-bottom: 10px;
						max-width: 300px;
						text-align: left;

						@media(max-width: 600px) {
							font-size: 9px;
							max-width: 108px;

						}

						& p {
							color: #000 !important;
							font-size: 15px;
							font-style: normal;
							font-weight: 400;
							line-height: 90%;
							text-transform: uppercase;
							overflow: hidden;
							text-overflow: ellipsis;
							display: -moz-box;
							-moz-box-orient: vertical;
							display: -webkit-box;
							-webkit-line-clamp: 3;
							-webkit-box-orient: vertical;
							line-clamp: 3;
							box-orient: vertical;
							max-width: 300px;
							text-align: left;
							margin-bottom: 0;

							@media(max-width: 600px) {
								font-size: 9px;
								max-width: 108px;

							}

							& a {
								color: #000 !important;
								font-size: 15px;
								font-style: normal;
								font-weight: 400;
								line-height: 90%;
								text-transform: uppercase;
								overflow: hidden;
								text-overflow: ellipsis;
								display: -moz-box;
								-moz-box-orient: vertical;
								display: -webkit-box;
								-webkit-line-clamp: 3;
								-webkit-box-orient: vertical;
								line-clamp: 3;
								box-orient: vertical;
								max-width: 300px;
								text-align: left;
								margin-bottom: 0;

								@media(max-width: 600px) {
									font-size: 9px;
									max-width: 108px;

								}
							}
						}
					}

					& .checkout-product__item-description {
						color: #000;
						font-size: 15px;
						font-style: normal;
						font-weight: 400;
						line-height: 90%;
						text-transform: uppercase;
						overflow: hidden;
						text-overflow: ellipsis;
						display: -moz-box;
						-moz-box-orient: vertical;
						display: -webkit-box;
						-webkit-line-clamp: 3;
						-webkit-box-orient: vertical;
						line-clamp: 3;
						box-orient: vertical;
						max-width: 300px;
						text-align: left;

						@media(max-width: 600px) {
							font-size: 9px;
							max-width: 108px;

						}
					}
				}
			}

			& .checkout-product__item-right {
				display: flex;
				flex-direction: column;
				justify-content: flex-end;
				gap: 10px;

				& .checkout-product__item-price {
					color: #000;
					font-size: 24px;
					font-style: normal;
					font-weight: 700;
					line-height: 90%;
					/* 12.6px */
					margin-bottom: 5px;
					text-align: right;

					@media(max-width: 600px) {
						font-size: 14px;
					}
				}


				& .checkout-item__char {
					display: none;
					border: 1px solid #000;
					padding: 6px;
					/*display: flex;*/
					align-items: center;
					justify-content: center;

					max-width: fit-content;
					align-self: flex-end;

					& .checkout-item__char-name {
						color: #000;
						font-size: 20px;
						font-style: normal;
						font-weight: 700;
						line-height: 90%;
						/* 9px */

						@media(max-width: 600px) {
							font-size: 10px;
						}
					}
				}

				& .checkout-product__item-remove {
					color: #000;
					font-size: 22px;
					font-style: normal;
					font-weight: 400;
					line-height: 90%;
					text-align: right;
					width: 100%;

					/* 10.8px */
					@media(max-width: 600px) {
						font-size: 12px;
					}
				}
			}
		}
	}
}

.noactive {
	display: none !important;
}

.product__change-cart {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 5px;
	background-color: #FF5596;
	height: 32px;

	@media(max-width: 650px) {
		height: 32px;
		margin-bottom: 10px;
	}

	& .minus {
		font-size: 17px;
		color: #fff;
	}

	& .plus {
		font-size: 17px;
		color: #fff;
	}

	& .product__cart-quant {
		font-size: 17px;
		color: #fff;
	}
}

.modal-inner {
	& .product__change-cart {
		margin-bottom: 25px;
	}
}

.splide.preview_carousel {
	& .splide__slide {
		aspect-ratio: 1/1;
	}
}